#include <SDL_syswm.h>
#include <X11/Xutil.h>

/* ... */

static void SetWMName(const char *name, int is_fullscreen)
{
        SDL_SysWMinfo info;
        SDL_VERSION(&info.version);
        if ( SDL_GetWMInfo(&info) ) {
                Display *dpy = info.info.x11.display;
                Window win;
		
		if (is_fullscreen)
			win = info.info.x11.fswindow;
		else
			win = info.info.x11.wmwindow;
		XStoreName(dpy, win, name);
       }
}

int main(int argc, char *argv[])
{
	/* ... */

	SDL_WM_SetCaption("Biloba", "Biloba");
	SetWMName("Biloba", (FLAGS & SDL_FULLSCREEN));

	/* ... */

	return 0;
}
